> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Org Settings

> Validates total tokens against granted amounts and Okta config, then updates org token, display and SSO settings.

Not available to API keys yet. It will need `organization:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/update-org-settings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/update-org-settings:
    post:
      operationId: updateOrgSettings
      summary: Update Org Settings
      description: >-
        Validates total tokens against granted amounts and Okta config, then
        updates org token, display and SSO settings.


        Not available to API keys yet. It will need `organization:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrgSettingsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateOrgSettingsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateOrgSettingsRequest:
      type: object
      properties:
        timezone:
          type: string
        totalTokens:
          type:
            - number
            - 'null'
        shouldShowUnallocatedTokens:
          type: boolean
        isOktaEnabled:
          type: boolean
        oktaClientId:
          type: string
        oktaClientSecretKey:
          type: string
        oktaIssuerUrl:
          type: string
        isStakingEnabled:
          type: boolean
        isOrganizationHidden:
          type: boolean
        decimalPrecisionForTokens:
          type: number
        fmvFetchTime:
          type: string
        enablePaxos:
          type: boolean
        enableMorpho:
          type: boolean
        cmcId:
          oneOf:
            - type: string
              pattern: ^\d+$
            - const: ''
        tokenName:
          type: string
      required:
        - timezone
        - totalTokens
        - shouldShowUnallocatedTokens
        - isOktaEnabled
        - oktaClientId
        - oktaIssuerUrl
        - fmvFetchTime
    UpdateOrgSettingsResponse:
      type: object
      properties:
        timezone:
          type: string
        totalTokens:
          type:
            - string
            - 'null'
          pattern: ^-?(\d+(\.\d+)?|\d(\.\d+)?e[+-]\d+)$
        shouldShowUnallocatedTokens:
          type:
            - boolean
            - 'null'
        isOktaEnabled:
          type: boolean
        oktaClientId:
          type:
            - string
            - 'null'
        oktaIssuerUrl:
          type:
            - string
            - 'null'
        isStakingEnabled:
          type: boolean
        isOrganizationHidden:
          type:
            - boolean
            - 'null'
        enablePaxos:
          type: boolean
        enableMorpho:
          type: boolean
        cmcId:
          type:
            - string
            - 'null'
        tokenName:
          type:
            - string
            - 'null'
      required:
        - timezone
        - totalTokens
        - shouldShowUnallocatedTokens
        - isOktaEnabled
        - oktaClientId
        - oktaIssuerUrl
        - isStakingEnabled
        - isOrganizationHidden
        - enablePaxos
        - enableMorpho
        - cmcId
        - tokenName
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
